Package: org.gmetrics.report

## [Groovy] Class MetricCriteriaFilterHelper

- org.gmetrics.report.MetricCriteriaFilterHelper

- Provides common static helper methods for classes that provides data and behavior for enabling reports to filter the results included within a report based a filter map keyed on the metric name.

  Authors:
    Chris Mair
  Version:
    \$Revision: 118 \$ - \$Date: 2010-07-10 21:55:10 -0400 (Sat, 10 Jul 2010) \$

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected static boolean` | `includesName(Map criteriaMap, Metric metric, String name)`
    `` | `protected static Map` | `parseCriteria(String criteria)` Parse the criteria string
    `` | `protected static void` | `parseCriteriaForSingleMetric(Map criteriaMap, String metricCriteria)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### protected static boolean includesName(Map criteriaMap, Metric metric, String name)

    - #### protected static Map parseCriteria(String criteria)

      Parse the criteria string

      Parameters:
        `criteria` - - the String of the form =<value1a>,<value1b>; =<value2a>,<value2b>

    - #### protected static void parseCriteriaForSingleMetric(Map criteriaMap, String metricCriteria)